## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanParsedSourceHelper Class Reference

Inheritance diagram for XalanParsedSourceHelper:

[legend]
List of all members.

## Public Member Functions

- virtual ~XalanParsedSourceHelper ()
- virtual DOMSupport & getDOMSupport ()=0
    Get the DOMSupport instance.
- virtual XMLParserLiaison & getParserLiaison ()=0
    Get the XMLParserLiaison instance.

## Constructor & Destructor Documentation

virtual XalanParsedSourceHelper::~XalanParsedSourceHelper | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual DOMSupport& XalanParsedSourceHelper::getDOMSupport | ( |  | ) | `[pure virtual]`

| Get the DOMSupport instance. Returns: A reference to a DOMSupport instance. Implemented in XalanDefaultParsedSourceHelper, and XercesDOMParsedSourceHelper.

virtual XMLParserLiaison& XalanParsedSourceHelper::getParserLiaison | ( |  | ) | `[pure virtual]`

| Get the XMLParserLiaison instance. Returns: A rerefernce to an XMLParserLiaison instance. Implemented in XalanDefaultParsedSourceHelper, and XercesDOMParsedSourceHelper.

The documentation for this class was generated from the following file:

- XalanParsedSource.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.